/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.instance;

import java.util.ArrayList;

/**
 * @author Going Dot Com Inc.
 */
class XbEtcObj {
    // etc_id
    private String etcId;
    // parent_etc_id
    private String parentEtcId;
    // prefix
    private String prefix;
    // uri
    private String uri;
    // name
    private String name;
    // value
    private String value;
    // attrList
    private ArrayList<XbEtcAttrObj> attrList;

    /**
     * attrListを取得します。
     * @return attrList
     */
    protected ArrayList<XbEtcAttrObj> getAttrList() {
        return attrList;
    }

    /**
     * attrListを設定します。
     * @param attrList attrList
     */
    protected void setAttrList(ArrayList<XbEtcAttrObj> attrList) {
        this.attrList = attrList;
    }

    /**
     * etcIdを取得します。
     * @return etcId
     */
    protected String getEtcId() {
        return etcId;
    }

    /**
     * etcIdを設定します。
     * @param etcId etcId
     */
    protected void setEtcId(String etcId) {
        this.etcId = etcId;
    }

    /**
     * nameを取得します。
     * @return name
     */
    protected String getName() {
        return name;
    }

    /**
     * nameを設定します。
     * @param name name
     */
    protected void setName(String name) {
        this.name = name;
    }

    /**
     * parentEtcIdを取得します。
     * @return parentEtcId
     */
    protected String getParentEtcId() {
        return parentEtcId;
    }

    /**
     * parentEtcIdを設定します。
     * @param parentEtcId parentEtcId
     */
    protected void setParentEtcId(String parentEtcId) {
        this.parentEtcId = parentEtcId;
    }

    /**
     * prefixを取得します。
     * @return prefix
     */
    protected String getPrefix() {
        return prefix;
    }

    /**
     * prefixを設定します。
     * @param prefix prefix
     */
    protected void setPrefix(String prefix) {
        this.prefix = prefix;
    }

    /**
     * uriを取得します。
     * @return uri
     */
    protected String getUri() {
        return uri;
    }

    /**
     * uriを設定します。
     * @param uri uri
     */
    protected void setUri(String uri) {
        this.uri = uri;
    }

    /**
     * valueを取得します。
     * @return value
     */
    protected String getValue() {
        return value;
    }

    /**
     * valueを設定します。
     * @param value value
     */
    protected void setValue(String value) {
        this.value = value;
    }
}